# List Campaigns

`GET /api/cc/campaigns`

Your campaigns, newest first, 50 per page.

Requires a Bearer API token (from [Authentication](/api-docs/authentication) / dashboard **API Tokens**) and the **call-center** permission.

Rate limit: 60 requests per minute per account, shared by all Campaign API endpoints.

## Query Parameters

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| status | string | No | `draft`, `running`, `paused`, `stopped` or `completed`. |
| page | integer | No | Page number, default 1. |

## Request Example

```bash
curl -X GET https://api.awajdigital.com/api/cc/campaigns?status=running&page=1 \
  -H "Authorization: Bearer your_api_token_here" \
  -H "Accept: application/json"
```

```javascript
// Browser JavaScript (Fetch API)
const response = await fetch('https://api.awajdigital.com/api/cc/campaigns?status=running&page=1', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer your_api_token_here',
    'Accept': 'application/json'
  }
});

const data = await response.json();
console.log(data);
```

```javascript
// Node.js with axios
const axios = require('axios');

async function listCampaigns() {
  try {
    const response = await axios.get('https://api.awajdigital.com/api/cc/campaigns?status=running&page=1', {
      headers: {
        'Authorization': 'Bearer your_api_token_here',
        'Accept': 'application/json'
      }
    });

    console.log(response.data);
  } catch (error) {
    console.error('Error:', error.response?.data || error.message);
  }
}

listCampaigns();
```

```python
# Python with requests
import requests

def list_campaigns():
    url = 'https://api.awajdigital.com/api/cc/campaigns?status=running&page=1'
    headers = {
        'Authorization': 'Bearer your_api_token_here',
        'Accept': 'application/json'
    }

    try:
        response = requests.get(url, headers=headers)
        print(response.json())
    except requests.exceptions.RequestException as e:
        print(f'Error: {e}')

list_campaigns()
```

```php
<?php
// PHP with cURL
$url = 'https://api.awajdigital.com/api/cc/campaigns?status=running&page=1';
$token = 'your_api_token_here';

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_HTTPGET, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Authorization: Bearer ' . $token,
    'Accept: application/json'
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
curl_close($ch);

$result = json_decode($response, true);
print_r($result);
?>
```

## Success Response Example

```json
{
  "meta": {
    "total": 1,
    "per_page": 50,
    "current_page": 1,
    "last_page": 1
  },
  "data": [
    {
      "id": 42,
      "name": "October renewals",
      "status": "running",
      "group_id": 7,
      "group_name": "Sales",
      "contact_count": 2,
      "customer_ring_seconds": 30,
      "max_customer_wait_seconds": 20,
      "started_at": "2026-10-21T10:05:00.000+06:00",
      "stopped_at": null,
      "created_at": "2026-10-21T10:00:00.000+06:00"
    }
  ]
}
```

Each item in `data` has the fields described in [Create Campaign](/api-docs/campaigns/create).

## Error Responses

| Status | Code | Description |
| --- | --- | --- |
| 401 | — | Missing or invalid access token |
| 403 | — | Account does not have the call-center permission |
| 422 | — | Invalid `status` or `page` |
| 429 | — | Rate limit exceeded (60 requests/minute) |